<?xml version="1.0" encoding="UTF-8"?>
<problem 
    version="1.0"
    id ="roi.day2.horse"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="horse.in"
                output-name ="secret.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit = "1s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="horse.in"
                output-name ="secret.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
            	<test-group
	           		comment = "Подзадача 1. (2 &lt;= N &lt;= 10, 2 &lt;= M &lt;= 10)"
            		score = "sum"
            		feedback = "outcome"
            		group-bonus = "0"
            	>
					<test points = "10" comment = "N = 10, M = 10. Случайная лошадь" />
					<test points = "10" comment = "N = 9, M = 10. Лошадь, стоящая на месте" />
					<test points = "10" comment = "N = 10, M = 9. Лошадь, максимизирующая неопределенность" />
					<test points = "10" comment = "N = 9, M = 9. Лошадь, максимизирующая суммарное расстояние" />
                </test-group>
            	<test-group
            		comment = "Подзадача 2. (2 &lt;= N &lt;= 30, 2 &lt;= M &lt;= 30, количество запросов не превосходит NM)"
            		score = "sum"
            		feedback = "outcome"
            		group-bonus = "0"
            	>
         	        <test points = "10" comment = "N = 30, M = 30. Лошадь, ходящая в маленьком квадрате" />
         	        <test points = "10" comment = "N = 30, M = 29. Лошадь, стоящая на месте" />
         	        <test points = "10" comment = "N = 29, M = 30. Лошадь, максимизирующая неопределенность" />
         	        <test points = "10" comment = "N = 29, M = 29. Лошадь, максимизирующая суммарное расстояние" />
         	        <test points = "10" comment = "N = 30, M = 30. Лошадь, размашисто ходящая вправо-влево" />
         	        <test points = "10" comment = "N = 30, M = 30. Лошадь, размашисто ходящая вверх-вниз" />
                </test-group>

            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
